import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class RedRacecar here.
 * 
 * @author Edwin, Paul, Mike 
 * @version 2.0
 */
public class RedRacecar extends Actor
{
    public int explosionCount;
    /**
     * Act - do whatever the Wizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        crash();
        move();
        playSound();

    }    

    public void move()
    {
        if (Greenfoot.isKeyDown("W"))
        {
            move(4);
        } 
        if (Greenfoot.isKeyDown("S"))
        {
            move(-4);
        } 
        if (Greenfoot.isKeyDown("A"))
        {
            turn(4);
        } 
        if (Greenfoot.isKeyDown("D"))
        {
            turn(-4);
        } 

    }

    public void crash()
    {
        MyWorld world = (MyWorld) getWorld();
        Actor racecar;
        racecar = getOneObjectAtOffset(0,0, Racecar.class);

        if (racecar != null)
        {
            Greenfoot.playSound("explosion.wav");

            addExplosion(getX(), getY());

            world.removeObject(racecar);
            explosionCount++;
            world.greenRaceCar();
            world.Rocket();
            

        }

        Actor greenRacecar;
        greenRacecar = getOneObjectAtOffset(0,0, GreenRacecar.class);
        if (greenRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());


            world.removeObject(greenRacecar);
            explosionCount++;
            world.raceCar();
            world.Rocket();

        }
        
        Actor rocket;
        rocket = getOneObjectAtOffset(0,0, Rocket.class);
        if (rocket != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());


            world.removeObject(rocket);
            explosionCount++;
            world.raceCar();
            world.greenRaceCar();

        }
    }

    public void addExplosion(int X, int Y)
    {
        World world = getWorld();
        Explosion explosion = new Explosion();
        world.addObject(explosion, X, Y);
    }

    public void playSound()
    {
        if(explosionCount == 3)
        {
            Greenfoot.playSound("redCarWins.wav");
            explosionCount++;
        }
    }

    public void addExplosionCount()
    {
        explosionCount++;
    }
}
