import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Racecar here.
 * 
 * @author Edwin, Paul, Mike 
 * @version 2.0
 */
public class Racecar extends Actor
{

    public int explosionCount;
    /**
     * Act - do whatever the Wizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move();
        crash();
        playSound();
    }    

    public void move()
    {

        if (Greenfoot.isKeyDown("up"))
        {
            move(4);
        } 
        if (Greenfoot.isKeyDown("down"))
        {
            move(-4);
        } 
        if (Greenfoot.isKeyDown("left"))
        {
            turn(4);
        } 
        if (Greenfoot.isKeyDown("right"))
        {
            turn(-4);
        } 
    }

    public void crash()
    {
        MyWorld world = (MyWorld) getWorld();
        Actor redRacecar;
        redRacecar = getOneObjectAtOffset(0,0, RedRacecar.class);

        if (redRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");

            world.greenRaceCar();

            world.removeObject(redRacecar);
            addExplosion(getX(), getY());
            explosionCount++;
            world.Rocket();

        }
        Actor greenRacecar;
        greenRacecar = getOneObjectAtOffset(0,0, GreenRacecar.class);

        if (greenRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");

            world.removeObject(greenRacecar);
            addExplosion(getX(), getY());
            explosionCount++;
            world.redRaceCar();
            world.Rocket();

        }
        
        Actor rocket;
        rocket = getOneObjectAtOffset(0,0, Rocket.class);
        if (rocket != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());


            world.removeObject(rocket);
            explosionCount++;
            world.redRaceCar();
            world.greenRaceCar();

        }
    }
    public void addExplosion(int X, int Y)
    {
        World world = getWorld();
        Explosion explosion = new Explosion();
        world.addObject(explosion, X, Y);
    }

    public void playSound()
    {
        if(explosionCount == 3)
        {
            Greenfoot.playSound("blueCarWins.wav");
            explosionCount++;
        }
    }

    public void addExplosionCount()
    {
        explosionCount++;
    }
}

