import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class YellowRacecar here.
 * 
 * @author Edwin, Paul, Mike 
 * @version 2.0
 */
public class Rocket extends Actor
{
    public int explosionCount;
    /**
     * Act - do whatever the Wizard wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        move();
        crash();
        playSound();
    }    

    public void move()
    {
        if (Greenfoot.isKeyDown("5"))
        {
            move(4);
        } 
        if (Greenfoot.isKeyDown("2"))
        {
            move(-4);
        } 
        if (Greenfoot.isKeyDown("1"))
        {
            turn(4);
        } 
        if (Greenfoot.isKeyDown("3"))
        {
            turn(-4);
        } 

    }

    public void crash()
    {
        MyWorld world = (MyWorld) getWorld();
        Actor redRacecar;
        redRacecar = getOneObjectAtOffset(0,0, RedRacecar.class);

        if (redRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");

            addExplosion(getX(), getY());

            world.removeObject(redRacecar);
            explosionCount++;
            world.raceCar();
            world.greenRaceCar();

        }

        Actor racecar;
        racecar = getOneObjectAtOffset(0,0, Racecar.class);
        if (racecar != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());

            world.removeObject(racecar);
            explosionCount++;
            world.redRaceCar();
            world.greenRaceCar();

        }
        
        Actor greenRacecar;
        greenRacecar = getOneObjectAtOffset(0,0, GreenRacecar.class);
        if (greenRacecar != null)
        {
            Greenfoot.playSound("explosion.wav");
            addExplosion(getX(), getY());

            world.removeObject(greenRacecar);
            explosionCount++;
            world.redRaceCar();
            world.raceCar();

        }
    }

    public void addExplosion(int X, int Y)
    {
        World world = getWorld();
        Explosion explosion = new Explosion();
        world.addObject(explosion, X, Y);
    }

    public void playSound()
    {
        if(explosionCount == 3)
        {
            Greenfoot.playSound("rocketWins.wav");
            explosionCount++;
        }
    }

    public void addExplosionCount()
    {
        explosionCount++;
    }
}

